Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.hibernate4
Class HibernateQueryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.dao.InvalidDataAccessResourceUsageException
                                  org.springframework.orm.hibernate4.HibernateQueryException

All Implemented Interfaces:
  java.io.Serializable

    public class HibernateQueryException

extends InvalidDataAccessResourceUsageException

Hibernate-specific subclass of InvalidDataAccessResourceUsageException, thrown on invalid HQL query syntax.

Since:
  3.1
Author:
  Juergen Hoeller
See Also:
  `SessionFactoryUtils.convertHibernateAccessException(org.hibernate.HibernateException)`, Serialized Form

Constructor Summary
`HibernateQueryException(org.hibernate.QueryException ex)`

Method Summary
`java.lang.String` | `getQueryString()` Return the HQL query string that was invalid.

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HibernateQueryException

    public HibernateQueryException(org.hibernate.QueryException ex)

Method Detail

### getQueryString

    public java.lang.String getQueryString()

  Return the HQL query string that was invalid.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD